:root {
--main-color:darkred;
--secondary-color:pink;
--dark-color:#444;
--light-color:#fafafa;
--max-width:1000px;
}
*{margin:0;padding:0;box-sizing:border-box;text-decoration:none;color:var(--dark-color);}
body {
font-family: 'Montserrat', sans-serif;
background-color:var(--light-color);
color:var(--dark-color);
display: flex;
flex-direction: column;
align-items: center;
justify-content: center;
font-size: 20px;
overflow-x: hidden;
word-wrap: break-word;
overflow-y:scroll;
scrollbar-color: var(--main-color) var(--secondary-color);
}

h1,h2{color: var(--main-color);}
header{display:flex;flex-wrap: wrap;align-items: center;justify-content:space-between;width:100%;}
header img {height: 70px; width: 270px;margin: 10px 0px;}
header a {margin: 10px;} header a:hover{color: var(--main-color);transition: 400ms;}
main{padding:20px 0px;display: flex;flex-direction: column;gap:20px;}
footer {width: 100vw;background-color: var(--dark-color);padding:30px 0px}
footer p {color: var(--light-color);text-align: center;}

.flex-horizontal{display:flex;flex-wrap: wrap;align-items: center;justify-content:center;gap:20px;}
.max-width{width: clamp(0px,1000px,90%);}
.pdf-description{height: 620px;width: 490px;display: flex;flex-direction: column;gap: 10px;}
.pdf-description-expanded{height: fit-content;width: 100%;}
.text-center{text-align:center;}

.user-cards{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}
.user-card{
    width:clamp(200px,320px,100%);
    height:320px;
    border: 4px solid var(--secondary-color);
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    overflow: hidden;
}
.user-card img{
    width:100%;
    object-fit: cover;
}
.user-card h2, .user-card button{
    margin:0px 10px;
}
.user-card button{
    border: none;
    background:none;
    text-align: left;
    cursor: pointer;
}

.search{
    height: 50px;
    width: 100%;
    border: 2px solid var(--secondary-color);
    border-radius: 5px;
    padding: 0px 10px;
}

#pdf-lecture {
        border: 2px solid var(--secondary-color);
        border-radius: 10px;
}